Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

1
Davide Corio
Il 23/04/19, 02:22

Ho fatto installazioni su Windows diverse volte.

Mi sono capitate società che non ne volevano sapere di usare Linux, semplicemente perchè il loro IT non conosceva il sistema.

Ignorando ovviamente l'installer per Windows di Odoo, si può tranquillamente optare per due soluzioni:

1. Installazione da sorgenti

Si può perdere un po' di tempo siccome è necessario cercare la versione windows per tutte le librerie python, ma alla fine funziona tutto. Pip funziona anche su Windows.

2. Docker

Docker su Windows permette di usare sia VirtualBox che Hyper-V. Funziona...

Il secondo metodo è sicuramente preferibile, siccome non richiede installazione di nulla sul server Windows se non Docker.


La tua risposta


0
Denis Gottardello
Il 23/04/19, 08:04

Ho cantato vittoria troppo presto.

Quando tento di esportare il file di fattura elettronica ottengo l'errore:

 

Traceback (most recent call last):
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\l10n_it_fatturapa_out\wizard\wizard_export_fatturapa.py", line 852, in exportFatturaPA
    inv.number))
odoo.exceptions.UserError: ('File e-fattura già presente per la fattura INV/2019/0017.', '')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 651, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\pycompat.py", line 87, in reraise
    raise value
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 693, in dispatch
    result = self._call_function(**self.params)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\service\model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 335, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 937, in __call__
    return self.method(*args, **kw)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\web\controllers\main.py", line 938, in call_button
    action = self._call_kw(model, method, args, {})
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\web\controllers\main.py", line 926, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\l10n_it_fatturapa_out\wizard\wizard_export_fatturapa.py", line 865, in exportFatturaPA
    except (SimpleFacetValueError, SimpleTypeValueError) as e:
NameError: name 'SimpleFacetValueError' is not defined
Odoo Server Error
Traceback (most recent call last):
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\l10n_it_fatturapa_out\wizard\wizard_export_fatturapa.py", line 852, in exportFatturaPA
    inv.number))
odoo.exceptions.UserError: ('File e-fattura già presente per la fattura INV/2019/0017.', '')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 651, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\pycompat.py", line 87, in reraise
    raise value
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 693, in dispatch
    result = self._call_function(**self.params)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\service\model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 335, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 937, in __call__
    return self.method(*args, **kw)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\web\controllers\main.py", line 938, in call_button
    action = self._call_kw(model, method, args, {})
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\web\controllers\main.py", line 926, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\l10n_it_fatturapa_out\wizard\wizard_export_fatturapa.py", line 865, in exportFatturaPA
    except (SimpleFacetValueError, SimpleTypeValueError) as e:
NameError: name 'SimpleFacetValueError' is not defined
Odoo Server Error
Traceback (most recent call last):
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\l10n_it_fatturapa_out\wizard\wizard_export_fatturapa.py", line 852, in exportFatturaPA
    inv.number))
odoo.exceptions.UserError: ('File e-fattura già presente per la fattura INV/2019/0017.', '')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 651, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\tools\pycompat.py", line 87, in reraise
    raise value
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 693, in dispatch
    result = self._call_function(**self.params)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\service\model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 335, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 937, in __call__
    return self.method(*args, **kw)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\web\controllers\main.py", line 938, in call_button
    action = self._call_kw(model, method, args, {})
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\web\controllers\main.py", line 926, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "C:\Program Files (x86)\Odoo 11.0\server\odoo\api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "c:\program files (x86)\odoo 11.0\server\odoo\addons\l10n_it_fatturapa_out\wizard\wizard_export_fatturapa.py", line 865, in exportFatturaPA
    except (SimpleFacetValueError, SimpleTypeValueError) as e:
NameError: name 'SimpleFacetValueError' is not defined

La tua risposta


0
Sergio Corato
Il 20/04/19, 08:35

ciao Denis,

premettendo che non conosco Windows (;P) direi come l'hai creato la prima volta se intendi il servizio Odoo, se invece intendi ripristinare il database basta fare un pg_restore (o psql dipende da come avevi fatto il backup) e ripristinare il filestore


La tua risposta

0
Denis Gottardello
Il 20/04/19, 08:43

Ciao, la prima volta ho utilizzato l'installaer il quale ha creato da solo i servizi.

Ora non ho usato l'installaer poiché ho copiato l'intera cartella su un nuovo server.

Come creare il servizio postgresql è semplice, si trova documentazione. Non trovo invece come creare quello di odoo, o python forse.


La tua risposta

1
Davide Gazzotti
Il 20/04/19, 12:35

Purtroppo da odoo9 CE in poi nell'installer windows hanno incapsulato in un processo odoo.exe sia python the odoo, rendendo difficile se non impossibile l'installazione dei moduli python aggiuntivi necessari a molti moduli OCA o di terze parti. Per questo, e per altri motivi (esempio performance deludenti di postgresql), da tempo noi non usiamo più windows neanche per i server di test o demo. L'unica istanza in produzione windows fatta (il nostro primo cliente, su odoo 8 CE) lo abbiamo migrato a linux da tempo.
Premesso questo, su che versione sei?


La tua risposta

0
Denis Gottardello
Il 20/04/19, 12:53

Odoo 11 per Windows.

In effetti non sei il primo a dire che Odoo non è supportato su Windows. Io ho smesso di proporlo ai miei clienti e proprio per questo li invito ad usare qualcos'altro. Io ho già 2 anni di contabilità e non ho voglia di passare anch'io ad altri gestionali.

Piaccia o no Windows è la piattaforma più diffusa e un gestionale che salva e stampa dovrebbe essere estremamente semplice da installare ma Odoo invece non lo è.

Per quanto riguarda la velocità il problema non sta affatto in PostgreSQL. Come sviluppatore lo sto usando su diversi programmi in C++ per Windows Linux e Mac, sia per progetti miei che per altre aziende e direi che è ottimo, estremamente veloce anche con tabelle con milioni di record. E' tra l'altro perfettamente portabile (basta copiare la cartella).

Il problema dell'incredibile lentezza di Odoo (facessi un software così lento il mancato pagamento sarebbe garantito) secondo me sta in tutta la parte grafica e web. Dire che la colpa della lentezza sta in Windows non è una risposta. Se un programma è ben fatto sarà veloce su tutti i sistemi.

Ad ogni modo sto reinstallando tutto da capo, mi ci vorranno 2 / 3 ore visto tutti i moduli da aggiungere uno ad uno.


La tua risposta

0
Davide Gazzotti
Il 20/04/19, 13:03

Concordo che Odoo non è un pacchettizzato pronto all'uso sui windows dei clienti come Danea EasyFatt (per citarne uno che costa poco). Sono anche d'accordo che ci sono nel framework e/o nell'ORM delle zone grigie che ammazzano le performance, tanto che a volte in Odoo rilasciano patch sviluppate apposta sui casi dei clienti enterprise in crisi di prestazione, quindi per i clienti community questo è un problema.
Personalmente quando vedo clientini che vogliono il gestionalino pacchettizzato magari installato solo sul loro pc (o serverino in lan), allora di certo non consiglio Odoo, che invece è una proposta competitiva in contesti più strutturati dove serve consulenza e personalizzazione del software, magari servito in cloud, ovviamente da VPS linux. 
My 2 cents


La tua risposta

0
Denis Gottardello
Il 22/04/19, 10:08

Anziché alcune ore a ripristinare odoo 11 su Windows con ddt e fattura elettronica ci ho impiegato alcuni giorni a causa di conflitti tra i modili necessari.

Ho notato che Odoo popola una cartella nella home dir (\AppData\Local\OpenERP S.A) in cui vengono messi numerosi file senza estensione. Che file sono?


La tua risposta

0
Davide Gazzotti
Il 20/04/19, 12:35

Purtroppo da odoo9 CE in poi nell'installer windows hanno incapsulato in un processo odoo.exe sia python the odoo, rendendo difficile se non impossibile l'installazione dei moduli python aggiuntivi necessari a molti moduli OCA o di terze parti. Per questo, e per altri motivi (esempio performance deludenti di postgresql), da tempo noi non usiamo più windows neanche per i server di test o demo. L'unica istanza in produzione windows fatta (il nostro primo cliente, su odoo 8 CE) lo abbiamo migrato a linux da tempo.
Premesso questo, su che versione sei?


La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

23 follower

Statistiche

Richiesta del: 20/04/19, 08:22
Vista: 738 volte
Ultimo aggiornamento: 23/04/19, 12:37